
CoCoALib - Feature #420

Allow user to give a name to a ring

07 Jan 2014 00:14 - John Abbott

Status: New Start date: 07 Jan 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

In C4 rings had names (single upper case letter, or of the form R#n for integer n)

In C5 they do not have names, and the printed form is ugly/incomprehensible.

Allow the user to specify a convenient (print) name.

What to do about name clashes?

[isn't this already an issue??  JAA cannot find it]

Related issues:

Related to CoCoA-5 - Feature #421: Allow user to give a name to a ring (in C5) New 07 Jan 2014

Related to CoCoA-5 - Support #548: Printing rings with ID Closed 06 May 2014

History

#1 - 07 Jan 2014 00:20 - John Abbott

From emails exchanged on 2010-11-05...

Anna notes that short printed names are helpful when printing out resolutions.

JAA suggested always using the name R and then adding a line where R=...

Anna was not convinced, saying it could be confusing especially when computing

resolutions with ambient rings R and S -- she has a point!

The impl should allow behaviour like this:

F7 ::= ZZ/(7);

P1 ::= F7[x];

PrintLn P1;

F7[x]

P2 ::= P1[y];

PrintLn P2;

F7[x][y]
#2 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#3 - 04 Apr 2014 17:17 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#4 - 10 Jul 2014 14:24 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#5 - 13 May 2015 09:55 - Redmine Admin

- Category set to Improving
